#
# spec file for package kfilemetadata5
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfilemetadata5
Version:        4.97.0
Release:        0
Summary:        Extract Metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          Development/Libraries/KDE
Url:            http://www.kde.org/
Source:         http://download.kde.org/unstable/plasma/%{version}/src/kfilemetadata5-%{version}.tar.xz
# needs libzip -> needs libepub
#Source1:        baselibs.conf
BuildRequires:  extra-cmake-modules >= 0.0.11
BuildRequires:  karchive-devel >= 4.97.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= 4.97.0
BuildRequires:  kservice-devel >= 4.97.0
BuildRequires:  libepub-devel
BuildRequires:  libexiv2-devel >= 0.21
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
#BuildRequires:  libpoppler-qt5-devel
BuildRequires:  taglib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for extracting file metadata

%package devel
Summary:        Development package for kfilemetadata
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       pkgconfig(Qt5Core) >= 5.2.0
Conflicts:      kfilemetadata-devel

%description devel
Development package for kfilemetadata

%prep
%setup -q -n kfilemetadata-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_plugindir}/
%{_kf5_libdir}/libkfilemetadata.so.*
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libkfilemetadata.so
%{_includedir}/kfilemetadata/
%{_kf5_libdir}/cmake/KFileMetaData/

%changelog
